#ifndef _GUIBUTTON_H_
#define _GUIBUTTON_H_

#include "GUIInclude.h"

#include "GUIEvent.h"
#include "GUIElement.h"

#include "GUIHolder.h"

class GUIHolder;
class GUIElement;
class GUIButton : public GUIElement
{
public:
	
	GUIButton() {};
	GUIButton(int x, int y, int w, int h, const char *callback, const char *label);
	std::string label;

	virtual void render(float dt);
	
	virtual void setHolderPointer(GUIHolder *holder);

	virtual std::string checkKeyboardEvents(GUIKeyboardEvent &me);	

protected:
};


#endif